import { Component, OnInit, ViewChild, inject } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { STColumn, STComponent } from '@delon/abc/st';
import { SFSchema } from '@delon/form';
import { ModalHelper, _HttpClient } from '@delon/theme';
import { SHARED_IMPORTS } from '@shared';

@Component({
    selector: 'data-v-navigation',
    standalone: true,
    imports: [RouterOutlet, ...SHARED_IMPORTS],
    template: `
  <div class="navigation-container">
    <div class="menu-image-container">
        <img src="{{imageUrl}}" class="menu-image"/>
        <div class="menu-title">{{title}}</div>
    </div>
    <div class="menu-image-container">
        <img src="{{imageUrl}}" class="menu-image"/>
        <div class="menu-title">{{title}}</div>
    </div>
  </div>`,
    styleUrls: ['./navigation.component.less']
})
export class DataVNavigationComponent implements OnInit {
    private readonly http = inject(_HttpClient);
    private readonly modal = inject(ModalHelper);

    imageUrl: string = 'assets/dashboard/menu_btn_l.png';
    title: string = 'Label';

    context: string = '2024-02-29 10:00';

    ngOnInit(): void { }

    add(): void {
    }
}
